Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 1e12915551da012c8835aa2ed35a72333c213c8c)
+++ chapter01/changelog.xml	(revision 73b3eb9fe5c970188b60c6ce5b229efadae4dcc1)
@@ -44,4 +44,22 @@
 -->
     <listitem>
+      <para>2018-01-30</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[dj] - Update to systemd-237. Fixes
+          <ulink url="&lfs-ticket-root;4203">#4203</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to linux-4.15. Fixes
+          <ulink url="&lfs-ticket-root;4202">#4202</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to ncurses-6.1. Fixes
+          <ulink url="&lfs-ticket-root;4201">#4201</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-01-28</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 1e12915551da012c8835aa2ed35a72333c213c8c)
+++ chapter01/whatsnew.xml	(revision 73b3eb9fe5c970188b60c6ce5b229efadae4dcc1)
@@ -180,7 +180,7 @@
       <para>MPFR-&mpfr-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Ncurses-&ncurses-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Patch-&patch-version;</para>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 1e12915551da012c8835aa2ed35a72333c213c8c)
+++ chapter06/systemd.xml	(revision 73b3eb9fe5c970188b60c6ce5b229efadae4dcc1)
@@ -51,5 +51,5 @@
     <para>Remove tests that cannot be built in chroot:</para>
 
-<screen><userinput remap="pre">sed '179,223d' -i src/resolve/meson.build</userinput></screen>
+<screen><userinput remap="pre">sed '178,222d' -i src/resolve/meson.build</userinput></screen>
 
     <para>Remove an unneeded group,
Index: general.ent
===================================================================
--- general.ent	(revision 1e12915551da012c8835aa2ed35a72333c213c8c)
+++ general.ent	(revision 73b3eb9fe5c970188b60c6ce5b229efadae4dcc1)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180128">
+<!ENTITY version         "SVN-20180130">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180128-systemd">
+<!ENTITY versiond        "20180130-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 28, 2018">
+<!ENTITY releasedate     "January 30, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 1e12915551da012c8835aa2ed35a72333c213c8c)
+++ packages.ent	(revision 73b3eb9fe5c970188b60c6ce5b229efadae4dcc1)
@@ -416,11 +416,11 @@
 
 <!ENTITY linux-major-version "4">
-<!ENTITY linux-minor-version "14">
-<!ENTITY linux-patch-version "15">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">i-->
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "98,475 KB">
+<!ENTITY linux-minor-version "15">
+<!ENTITY linux-patch-version "0">
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;"> -->
+<!ENTITY linux-size "99,792 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "e1051f6b15d6399a5de2441dd4e15537">
+<!ENTITY linux-md5 "0d701ac1e2a67d47ce7127432df2c32b">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -495,8 +495,8 @@
 <!ENTITY mpfr-ch6-sbu "0.8 SBU">
 
-<!ENTITY ncurses-version "6.0">
-<!ENTITY ncurses-size "3,059 KB">
+<!ENTITY ncurses-version "6.1">
+<!ENTITY ncurses-size "3,288 KB">
 <!ENTITY ncurses-url "&gnu;/ncurses/ncurses-&ncurses-version;.tar.gz">
-<!ENTITY ncurses-md5 "ee13d052e1ead260d7c28071f46eefb1">
+<!ENTITY ncurses-md5 "98c889aaf8d23910d2b92d65be2e737a">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
 <!ENTITY ncurses-ch5-du "38 MB">
@@ -602,12 +602,12 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "236">
-<!ENTITY systemd-size     "6,433 KB">
+<!ENTITY systemd-version  "237">
+<!ENTITY systemd-size     "6,716 KB">
 <!ENTITY systemd-url      "https://github.com/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
-<!ENTITY systemd-md5      "8609cb9043ac8f374371cbac5546acf4">
+<!ENTITY systemd-md5      "5a835ddc2a2ae9ef523a5a11674a6713">
 <!ENTITY systemd-home     "http://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "323 KB">
+<!ENTITY systemd-man-size "336 KB">
 <!ENTITY systemd-man-url  "http://anduin.linuxfromscratch.org/LFS/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "cf089b9dbb4aa0a4da1c32bb6c0e9b9d">
+<!ENTITY systemd-man-md5  "8b1b53cff433d99288ce17be775bc44c">
 <!ENTITY systemd-ch6-du   "13 MB">
 <!ENTITY systemd-ch6-sbu  "0.6 SBU">
